Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113184 - dwarves: FTBFS in Fedora rawhide/f37
Summary: dwarves: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dwarves
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Arnaldo Carvalho de Melo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F40FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:23 UTC by Fedora Release Engineering
Modified: 2024-04-04 04:25 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-05 23:12:51 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:23 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:23 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:23 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:23:24 UTC
dwarves failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89767712


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix dwarves at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
dwarves will be orphaned. Before branching of Fedora 38,
dwarves will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:23:27 UTC
Created attachment 1900988 [details]
build.log

Comment 2 Fedora Release Engineering 2022-08-01 23:23:29 UTC
Created attachment 1900989 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:23:30 UTC
Created attachment 1900990 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:24:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Anton Guda 2022-08-26 13:31:43 UTC
It seems, that dwarves-1.24-1.fc38 broke kernel build.

Comment 6 Arnaldo Carvalho de Melo 2022-08-27 18:59:22 UTC
In what way? There have been some reports, related to the encoding of BTF_KIND_ENUM64, but not about breaking the kernel build, only afterwards the kernel BPF verifier not grokking the new encodings for 64 bit enum entries, can you please point to kernel build logs so that I can investigate futher?

Comment 7 Anton Guda 2022-08-27 19:45:15 UTC
During bzImage or build:

./tools/bpf/resolve_btfids/resolve_btfids vmlinux
FAILED: load BTF from vmlinux: Invalid argument

Similar:
https://lore.kernel.org/all/20220826025944.hd7htqqwljhse6ht@altlinux.org/T/

Comment 8 Chris Caudle 2022-09-07 14:22:23 UTC
Dwarves-1.24-1.fc36 in the Fedora 36 updates-testing repository also breaks compiling the kernel src rpm (for x86_64 arch).  I can collect the error messages again if needed, but at the time I searched for the error string and found a forum entry pointing to a change in dwarves as not compatible with the current kernel sources, so I downgraded to dwarves-1.23-2.fc36 and the kernel src rpm compiled without error.  I expected that the same error would be discovered by someone else soon enough, but I see the same version of dwarves in updates-testing for two weeks now, so perhaps not.

Comment 9 Mark Charlebois (Qualcomm) 2022-11-17 17:58:52 UTC
I had the same issue with dwarves 1.24 on fedora 37 when attempting to build a kernel for AArch64 and ended up having to re-provision the system with Fedora 36.

Comment 10 olsajiri 2022-11-18 13:26:03 UTC
what kernel version are you trying to build? looks like this could be related to BZ 2138510

Comment 11 Mark Charlebois (Qualcomm) 2022-11-18 23:07:39 UTC
I was building patched main branch of centos-stream-9 on AArch64. It worked fine on Fedora 36 with dwarves 1.23.

Comment 12 Kevin Fenzi 2022-11-20 17:52:36 UTC
Theres no need to needinfo releng here. The package failed to build in the last mass rebuild.

Comment 13 olsajiri 2022-11-21 08:20:35 UTC
(In reply to Mark Charlebois (Qualcomm) from comment #11)
> I was building patched main branch of centos-stream-9 on AArch64. It worked
> fine on Fedora 36 with dwarves 1.23.

if the kernel does not have enum64 support then kernel build needs
to disable enum64 generation (via pahole option) otherwise during
the build the resolve_btfids won't be able to read BTF

not sure what's centos-9 state wrt BTF's enum64

Comment 14 Chris Caudle 2022-11-22 20:05:27 UTC
(In reply to olsajiri from comment #10)
> what kernel version are you trying to build? looks like this could be
> related to BZ 2138510

Seems unlikely, that BZ was that the kernel failed at boot.  If you notice my previous post was that the kernel would not finish the build, and that was prior to the 6.0.x kernels being released for F36, so would have been one of the later 5.19.x versions.  I do not remember the exact version, but I will try again with the latest 6.0.x version in F37 since I just upgraded. I think dwarves 1.24 is the only version available in F37 respositories, but I am not positive about that.

Comment 15 Chris Caudle 2022-11-22 21:32:33 UTC
Kernel builds OK from src rpm in Fedora 37.  I do not have interest in going back to F36 to test what was causing the problem, so I no longer have any useful information to contribute.

Comment 16 Fedora Release Engineering 2023-11-13 18:09:06 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 38.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2022-09-26).

A week before the mass branching of Fedora 39 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 37 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-39/f-39-key-tasks.html

Comment 17 Aoife Moloney 2023-11-23 00:16:51 UTC
This message is a reminder that Fedora Linux 37 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 37 on 2023-12-05.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '37'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 37 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 18 Fedora Release Engineering 2023-12-03 04:22:24 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2022-09-26).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 19 Aoife Moloney 2023-12-05 23:12:51 UTC
Fedora Linux 37 entered end-of-life (EOL) status on None.

Fedora Linux 37 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 20 Red Hat Bugzilla 2024-04-04 04:25:16 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 120 days


Note You need to log in before you can comment on or make changes to this bug.